Index: branches/LearningClassifierSystems/HeuristicLab.Optimization.Operators.LCS/3.3/Selection/NichingTournamentSelector.cs
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Optimization.Operators.LCS/3.3/Selection/NichingTournamentSelector.cs	(revision 9494)
+++ branches/LearningClassifierSystems/HeuristicLab.Optimization.Operators.LCS/3.3/Selection/NichingTournamentSelector.cs	(revision 9605)
@@ -33,5 +33,5 @@
   [Item("NichingTournamentSelector", "Description missing")]
   [StorableClass]
-  public class NichingTournamentSelector : StochasticSingleObjectiveSelector, INichingSingleObjectiveSelector {
+  public class NichingTournamentSelector : StochasticSingleObjectiveSelector, INichingSingleObjectiveSelector, IHierarchicalSingleObjectiveSelector {
 
     #region Parameter Properties
@@ -50,4 +50,20 @@
     public ILookupParameter<ItemArray<IGAssistIndividual>> IndividualParameter {
       get { return (ILookupParameter<ItemArray<IGAssistIndividual>>)Parameters["Individual"]; }
+    }
+    public ILookupParameter<ItemArray<DoubleValue>> LengthParameter {
+      get { return (ILookupParameter<ItemArray<DoubleValue>>)Parameters["Length"]; }
+    }
+    public IValueLookupParameter<DoubleValue> LengthThresholdParameter {
+      get { return (IValueLookupParameter<DoubleValue>)Parameters["LengthThreshold"]; }
+    }
+    public IValueLookupParameter<IntValue> IterationHirachicalSelectionParameter {
+      get { return (IValueLookupParameter<IntValue>)Parameters["IterationHirachicalSelection"]; }
+    }
+
+    public ILookupParameter<IntValue> IterationsParameter {
+      get { return (ILookupParameter<IntValue>)Parameters["Iterations"]; }
+    }
+    public IValueLookupParameter<IntValue> MaximumIterationsParameter {
+      get { return (IValueLookupParameter<IntValue>)Parameters["MaximumIterations"]; }
     }
     #endregion
@@ -65,4 +81,9 @@
       Parameters.Add(new ValueLookupParameter<IntValue>("ParentsPerChild", ""));
       Parameters.Add(new ScopeTreeLookupParameter<IGAssistIndividual>("Individual", ""));
+      Parameters.Add(new ScopeTreeLookupParameter<DoubleValue>("Length", "The length value contained in each sub-scope which is used for selection."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("LengthThreshold", "", new DoubleValue(0.000001)));
+      Parameters.Add(new ValueLookupParameter<IntValue>("IterationHirachicalSelection", "", new IntValue(24)));
+      Parameters.Add(new LookupParameter<IntValue>("Iterations", ""));
+      Parameters.Add(new ValueLookupParameter<IntValue>("MaximumIterations", ""));
     }
     public override IDeepCloneable Clone(Cloner cloner) {
@@ -76,4 +97,7 @@
       bool maximization = MaximizationParameter.ActualValue.Value;
       List<double> qualities = QualityParameter.ActualValue.Where(x => IsValidQuality(x.Value)).Select(x => x.Value).ToList();
+      List<double> lengths = LengthParameter.ActualValue.Select(x => x.Value).ToList();
+      bool useLength = lengths.Count > 0;
+      double lengtThreshold = LengthThresholdParameter.ActualValue.Value;
       List<IGAssistIndividual> individuals = IndividualParameter.ActualValue.ToList();
       int groupSize = GroupSizeParameter.ActualValue.Value;
@@ -83,65 +107,107 @@
       //check if list with indexes is as long as the original scope list
       //otherwise invalid quality values were filtered
-      if (qualities.Count != scopes.Count || individuals.Count != scopes.Count) {
+      if (qualities.Count != scopes.Count || individuals.Count != scopes.Count || (useLength && lengths.Count != scopes.Count)) {
         throw new ArgumentException("The scopes contain invalid quality values (either infinity or double.NaN) on which the selector cannot operate.");
       }
 
       int parentsPerChild = ParentsPerChildParameter.ActualValue.Value;
-      var nicheComparer = GAssistNichesProblemDataParameter.ActualValue.GetPossibleNiches().First().Comparer;
-      var selectPerNiche = new Dictionary<IGAssistNiche, int>(nicheComparer);
-      var nicheScope = new Dictionary<IGAssistNiche, List<int>>(nicheComparer);
-
-      for (int i = 0; i < individuals.Count; i++) {
-        if (!nicheScope.ContainsKey(individuals[i].Niche)) {
-          nicheScope.Add(individuals[i].Niche, new List<int>());
-        }
-        nicheScope[individuals[i].Niche].Add(i);
-      }
-
-      var possibleNiches = nicheScope.Keys.ToList();
-      foreach (var niche in possibleNiches) {
-        selectPerNiche.Add(niche, count / possibleNiches.Count);
-      }
-
-      int curCount = 0;
-      while (curCount < count) {
-        IGAssistNiche niche = null;
-        int best = -1;
-        if (doNiching) {
-          niche = GetNiche(random, selectPerNiche, possibleNiches);
-        } else {
-          best = random.Next(scopes.Count);
-        }
-        for (int i = 0; i < parentsPerChild; i++) {
+
+      if (individuals.Any(x => x.Niche == null) && individuals.Any(x => x.Niche != null)) {
+        throw new ArgumentException("Either all individuals have a default action or none.");
+      }
+
+      //null cannot be a key in a dictionary (nicheScope), therefore torunament selection has to be done differently
+      //to keep it a little maintainable, the case that no default rule is used has been separated
+      if (individuals.Any(x => x.Niche == null)) {
+        //normal tournament selection
+        for (int i = 0; i < count; i++) {
+          int best = random.Next(scopes.Count);
           int index;
-          if (doNiching) {
-            best = nicheScope[niche][random.Next(nicheScope[niche].Count)];
-          }
           for (int j = 1; j < groupSize; j++) {
-            if (niche != null) {
-              index = nicheScope[niche][random.Next(nicheScope[niche].Count)];
-            } else {
-              index = random.Next(scopes.Count);
-            }
-            if (((maximization) && (qualities[index] > qualities[best])) ||
-                ((!maximization) && (qualities[index] < qualities[best]))) {
+            index = random.Next(scopes.Count);
+            if (IsBetterHirachical(index, best, qualities, lengths, lengtThreshold, useLength, maximization)) {
               best = index;
             }
           }
 
-          niche = individuals[best].Niche;
-
           if (copy)
-            selected[curCount] = (IScope)scopes[best].Clone();
+            selected[i] = (IScope)scopes[best].Clone();
           else {
-            selected[curCount] = scopes[best];
+            selected[i] = scopes[best];
             scopes.RemoveAt(best);
             qualities.RemoveAt(best);
           }
-          selectPerNiche[niche]--;
-          curCount++;
+        }
+      } else {
+        var nicheComparer = GAssistNichesProblemDataParameter.ActualValue.GetPossibleNiches().First().Comparer;
+        var selectPerNiche = new Dictionary<IGAssistNiche, int>(nicheComparer);
+        var nicheScope = new Dictionary<IGAssistNiche, List<int>>(nicheComparer);
+        //niching tournament selection
+        for (int i = 0; i < individuals.Count; i++) {
+          if (!nicheScope.ContainsKey(individuals[i].Niche)) {
+            nicheScope.Add(individuals[i].Niche, new List<int>());
+          }
+          nicheScope[individuals[i].Niche].Add(i);
+        }
+
+        var possibleNiches = nicheScope.Keys.ToList();
+        foreach (var niche in possibleNiches) {
+          selectPerNiche.Add(niche, count / possibleNiches.Count);
+        }
+
+        int curCount = 0;
+        while (curCount < count) {
+          IGAssistNiche niche = null;
+          int best = -1;
+          if (doNiching) {
+            niche = GetNiche(random, selectPerNiche, possibleNiches);
+          } else {
+            best = random.Next(scopes.Count);
+          }
+          for (int i = 0; i < parentsPerChild; i++) {
+            int index;
+            if (doNiching) {
+              best = nicheScope[niche][random.Next(nicheScope[niche].Count)];
+            }
+            for (int j = 1; j < groupSize; j++) {
+              if (niche != null) {
+                index = nicheScope[niche][random.Next(nicheScope[niche].Count)];
+              } else {
+                index = random.Next(scopes.Count);
+              }
+              if (IsBetterHirachical(index, best, qualities, lengths, lengtThreshold, useLength, maximization)) {
+                best = index;
+              }
+            }
+
+            niche = individuals[best].Niche;
+
+            if (copy)
+              selected[curCount] = (IScope)scopes[best].Clone();
+            else {
+              selected[curCount] = scopes[best];
+              scopes.RemoveAt(best);
+              qualities.RemoveAt(best);
+            }
+            selectPerNiche[niche]--;
+            curCount++;
+          }
         }
       }
       return selected;
+    }
+
+    private bool IsBetterHirachical(int indexTrue, int indexFalse, IList<double> qualities, IList<double> length, double hierarchicalThreshold, bool useLength, bool maximization) {
+      if (useLength && IterationsParameter.ActualValue.Value >= IterationHirachicalSelectionParameter.ActualValue.Value
+        && Math.Abs(qualities[indexTrue] - qualities[indexFalse]) <= hierarchicalThreshold
+        && length[indexTrue] != length[indexFalse]) {
+        return length[indexTrue] < length[indexFalse];
+      }
+      return IsBetter(indexTrue, indexFalse, qualities, maximization);
+    }
+
+    private bool IsBetter(int indexTrue, int indexFalse, IList<double> qualities, bool maximization) {
+      return ((maximization) && (qualities[indexTrue] > qualities[indexFalse])) ||
+             ((!maximization) && (qualities[indexTrue] < qualities[indexFalse]));
     }
 
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.CombinedIntegerVectorClassification/3.3/Plugin.cs.frame
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.CombinedIntegerVectorClassification/3.3/Plugin.cs.frame	(revision 9494)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.CombinedIntegerVectorClassification/3.3/Plugin.cs.frame	(revision 9605)
@@ -25,6 +25,15 @@
   [Plugin("HeuristicLab.Problems.CombinedIntegerVectorClassification", "3.3.7.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.CombinedIntegerVectorClassification-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.CombinedIntegerVectorEncoding", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.ConditionActionEncoding", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Parameters", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.ConditionActionClassification", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis", "3.4")]
   public class HeuristicLabProblemsCombinedIntegerVectorClassificationPlugin : PluginBase {
   }
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Plugin.cs.frame
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Plugin.cs.frame	(revision 9494)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Plugin.cs.frame	(revision 9605)
@@ -25,6 +25,14 @@
   [Plugin("HeuristicLab.Problems.ConditionActionClassification", "3.3.7.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.ConditionActionClassification-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.ConditionActionEncoding", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Parameters", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis", "3.4")]
+  [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
   public class HeuristicLabProblemsConditionActionClassificationPlugin : PluginBase {
   }
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs	(revision 9494)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs	(revision 9605)
@@ -44,6 +44,6 @@
 
     #region parameter properties
-    public IFixedValueParameter<BoolValue> MaximizationParameter {
-      get { return (IFixedValueParameter<BoolValue>)Parameters["Maximization"]; }
+    public FixedValueParameter<BoolValue> MaximizationParameter {
+      get { return (FixedValueParameter<BoolValue>)Parameters["Maximization"]; }
     }
     IParameter ISingleObjectiveHeuristicOptimizationProblem.MaximizationParameter {
@@ -85,5 +85,5 @@
     }
 
-    IStrataSingleObjectiveEvaluator IGAssistProblem.Evaluator {
+    IGAssistObjectiveEvaluator IGAssistProblem.Evaluator {
       get { return Evaluator; }
     }
@@ -108,5 +108,5 @@
       : this(new DecisionListClassificationProblemData(new Dataset(DecisionListClassificationProblemData.defaultVariableNames, DecisionListClassificationProblemData.defaultData),
         DecisionListClassificationProblemData.defaultVariableNames.Take(DecisionListClassificationProblemData.defaultVariableNames.Length - 1), DecisionListClassificationProblemData.defaultVariableNames.Last()),
-        new MDLEvaluator(), new UniformRandomDecisionListCreator()) { }
+        new MDLEvaluator(), new SmartDecisionListCreator()) { }
 
     public DecisionListClassificationProblem(IDecisionListClassificationProblemData problemData, IDecisionListEvaluator decisionlistEvaluator, IDecisionListCreator decisionListCreator)
@@ -118,7 +118,13 @@
       Parameters.Add(new FixedValueParameter<PercentValue>("ActionMutationProbability", "", new PercentValue(0.1)));
 
+      MaximizationParameter.Value.Value = Evaluator.MaximizationParameter.Value.Value;
+      Evaluator.MaximizationParameter.Value.ValueChanged += MaximizationParameter_ValueChanged;
       Evaluator.SizePenaltyMinRulesParameter.ActualName = "SizePenaltyMinRules";
 
       InitializeOperators();
+    }
+
+    private void MaximizationParameter_ValueChanged(object sender, System.EventArgs e) {
+      MaximizationParameter.Value.Value = Evaluator.MaximizationParameter.Value.Value;
     }
 
@@ -143,5 +149,5 @@
 
     private void ParameterizeOperators() {
-      var autoDefaultRule = Operators.Where(x => x is AutoDefaultRule).Select(x => x as AutoDefaultRule).First();
+      var autoDefaultRule = Operators.OfType<AutoDefaultRule>().First();
       autoDefaultRule.QualityParameter.ActualName = Evaluator.QualityParameter.ActualName;
       autoDefaultRule.GAssistNichesProblemDataParameter.ActualName = ProblemDataParameter.Name;
@@ -149,5 +155,4 @@
       foreach (IDefaultRuleOperator op in Operators.OfType<IDefaultRuleOperator>()) {
         op.IndividualParameter.ActualName = SolutionCreator.DecisionListParameter.ActualName;
-        op.EvaluatorParameter.ActualName = EvaluatorParameter.Name;
         op.GAssistNichesProblemDataParameter.ActualName = ProblemDataParameter.Name;
         op.GAssistNichesProblemDataParameter.Hidden = true;
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs	(revision 9494)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs	(revision 9605)
@@ -44,4 +44,8 @@
       {0,1,1,1,0,0,0},
       {0,0,1,0,0,0,1},
+      {1,0,1,0,1,1,0},
+      {0,0,1,1,0,0,0},
+      {0,1,1,1,0,0,0},
+      {0,0,1,0,0,0,1},
       {1,0,1,0,1,1,0}
     };
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/HeuristicLab.Problems.DecisionListClassification-3.3.csproj
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/HeuristicLab.Problems.DecisionListClassification-3.3.csproj	(revision 9494)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/HeuristicLab.Problems.DecisionListClassification-3.3.csproj	(revision 9605)
@@ -95,8 +95,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Algorithms.GAssist\3.3\HeuristicLab.Algorithms.GAssist-3.3.csproj">
-      <Project>{f191a6fa-1b3c-4f82-a711-873b4d839bc0}</Project>
-      <Name>HeuristicLab.Algorithms.GAssist-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj">
       <Project>{C36BD924-A541-4A00-AFA8-41701378DDC5}</Project>
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/Plugin.cs.frame
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/Plugin.cs.frame	(revision 9494)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/Plugin.cs.frame	(revision 9605)
@@ -25,5 +25,15 @@
   [Plugin("HeuristicLab.Problems.DecisionListClassification", "3.3.7.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.DecisionListClassification-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.DecisionList", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization.Operators.LCS", "3.3")]
+  [PluginDependency("HeuristicLab.Parameters", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis", "3.4")]
+  [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
   public class HeuristicLabProblemsDecisionListClassificationPlugin : PluginBase {
   }
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/Plugin.cs.frame
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/Plugin.cs.frame	(revision 9494)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.Instances.LCS/3.3/Plugin.cs.frame	(revision 9605)
@@ -25,5 +25,11 @@
   [Plugin("HeuristicLab.Problems.Instances.LCS", "3.3.7.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.Instances.LCS-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Encodings.ConditionActionEncoding", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.CombinedIntegerVectorClassification", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis", "3.4")]
+  [PluginDependency("HeuristicLab.Problems.DecisionListClassification", "3.3")]
   [PluginDependency("HeuristicLab.Problems.Instances", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.Instances.DataAnalysis", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.VariableVectorClassification", "3.3")]
   public class HeuristicLabProblemsInstancesLCSPlugin : PluginBase {
   }
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.LCS.Views/3.3/Plugin.cs.frame
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.LCS.Views/3.3/Plugin.cs.frame	(revision 9494)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.LCS.Views/3.3/Plugin.cs.frame	(revision 9605)
@@ -27,8 +27,7 @@
   [PluginDependency("HeuristicLab.Collections", "3.3")]
   [PluginDependency("HeuristicLab.Common", "3.3")]
-  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
-  [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Data", "3.3")]
   [PluginDependency("HeuristicLab.Encodings.ConditionActionEncoding", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.DecisionList", "3.3")]
   [PluginDependency("HeuristicLab.MainForm", "3.3")]
   [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.VariableVectorClassification/3.3/Plugin.cs.frame
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.VariableVectorClassification/3.3/Plugin.cs.frame	(revision 9494)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.VariableVectorClassification/3.3/Plugin.cs.frame	(revision 9605)
@@ -25,6 +25,15 @@
   [Plugin("HeuristicLab.Problems.VariableVectorClassification", "3.3.7.$WCREV$")]
   [PluginFile("HeuristicLab.Problems.VariableVectorClassification-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Collections", "3.3")]
+  [PluginDependency("HeuristicLab.Common", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Data", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.ConditionActionEncoding", "3.3")]
+  [PluginDependency("HeuristicLab.Encodings.VariableVector", "3.3")]
+  [PluginDependency("HeuristicLab.Optimization", "3.3")]
+  [PluginDependency("HeuristicLab.Parameters", "3.3")]
+  [PluginDependency("HeuristicLab.Persistence", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.ConditionActionClassification", "3.3")]
+  [PluginDependency("HeuristicLab.Problems.DataAnalysis", "3.4")]
   public class HeuristicLabProblemsVariableVectorClassificationPlugin : PluginBase {
   }
